org.apache.sysds.lops

## Class SpoofFused

- java.lang.Object
- - org.apache.sysds.lops.Lop
  - - org.apache.sysds.lops.SpoofFused

-     public class SpoofFused
      extends Lop

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.sysds.lops.Lop

      `Lop.SimpleInstType, Lop.Type, Lop.VisitStatus`

  - ### Field Summary

    - ### Fields inherited from class org.apache.sysds.lops.Lop

      `_beginColumn, _beginLine, _endColumn, _endLine, _filename, CP_CHILD_THREAD, CP_ROOT_THREAD_ID, DATATYPE_PREFIX, FILE_SEPARATOR, FRAME_VAR_NAME_PREFIX, INSTRUCTION_DELIMITOR, LITERAL_PREFIX, MATRIX_VAR_NAME_PREFIX, NAME_VALUE_SEPARATOR, OPERAND_DELIMITOR, PROCESS_PREFIX, SAMPLE_FRACTION, SCALAR_VAR_NAME_PREFIX, UPDATE_INPLACE_PREFIX, VALUETYPE_PREFIX, VARIABLE_NAME_PLACEHOLDER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SpoofFused(ArrayList<Lop> inputs, Types.DataType dt, Types.ValueType vt, Class<?> cla, SpoofCompiler.GeneratorAPI api, String genVarName, int k, Types.ExecType etype)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getInstructions(String[] inputs, String output)`
    `String` | `getInstructions(String[] inputs, String[] outputs)` Method should be overridden if needed
    `String` | `getInstructions(String input1, String output)` Method should be overridden if needed
    `String` | `getInstructions(String input1, String input2, String output)` Method should be overridden if needed
    `String` | `getInstructions(String input1, String input2, String input3, String output)` Method should be overridden if needed
    `String` | `getInstructions(String input1, String input2, String input3, String input4, String output)` Method should be overridden if needed
    `String` | `getInstructions(String input1, String input2, String input3, String input4, String input5, String output)` Method should be overridden if needed
    `String` | `getInstructions(String input1, String input2, String input3, String input4, String input5, String input6, String output)` Method should be overridden if needed
    `String` | `getInstructions(String input1, String input2, String input3, String input4, String input5, String input6, String input7, String output)`
    `String` | `toString()` Method to have Lops print their state.

    - ### Methods inherited from class org.apache.sysds.lops.Lop

      `addInput, addOutput, addToDag, createReachable, getBeginColumn, getBeginLine, getDataType, getEndColumn, getEndLine, getExecType, getFilename, getID, getInputs, getInstructions, getInstructions, getInstructions, getLevel, getOutputParameters, getOutputs, getPrivacyConstraint, getProducesIntermediateOutput, getReachable, getSimpleInstructionType, getType, getValueType, getVisited, isDataExecLocation, isVariable, prepInputOperand, prepInputOperand, prepOperand, prepOperand, prepOutputOperand, prepOutputOperand, prepOutputOperand, prepScalarInputOperand, prepScalarInputOperand, prepScalarLabel, prepScalarOperand, printErrorLocation, removeConsumer, resetVisitStatus, setAllPositions, setBeginColumn, setBeginLine, setConsumerCount, setDataType, setEndColumn, setEndLine, setExecType, setFederatedOutput, setFilename, setPrivacyConstraint, setValueType, setVisited`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SpoofFused

          public SpoofFused(ArrayList<Lop> inputs,
                            Types.DataType dt,
                            Types.ValueType vt,
                            Class<?> cla,
                            SpoofCompiler.GeneratorAPI api,
                            String genVarName,
                            int k,
                            Types.ExecType etype)

  - ### Method Detail

    - #### toString

          public String toString()

      Description copied from class: `Lop`
      Method to have Lops print their state. This is for debugging purposes.
      Specified by:
        `toString` in class `Lop`

    - #### getInstructions

          public String getInstructions(String input1,
                                        String output)

      Description copied from class: `Lop`
      Method should be overridden if needed
      Overrides:
        `getInstructions` in class `Lop`
      Parameters:
        `input1` - input 1
        `output` - output
      Returns:
        instructions as string

    - #### getInstructions

          public String getInstructions(String input1,
                                        String input2,
                                        String output)

      Description copied from class: `Lop`
      Method should be overridden if needed
      Overrides:
        `getInstructions` in class `Lop`
      Parameters:
        `input1` - input 1
        `input2` - input 2
        `output` - output
      Returns:
        instructions as string

    - #### getInstructions

          public String getInstructions(String input1,
                                        String input2,
                                        String input3,
                                        String output)

      Description copied from class: `Lop`
      Method should be overridden if needed
      Overrides:
        `getInstructions` in class `Lop`
      Parameters:
        `input1` - input 1
        `input2` - input 2
        `input3` - input 3
        `output` - output
      Returns:
        instructions as string

    - #### getInstructions

          public String getInstructions(String input1,
                                        String input2,
                                        String input3,
                                        String input4,
                                        String output)

      Description copied from class: `Lop`
      Method should be overridden if needed
      Overrides:
        `getInstructions` in class `Lop`
      Parameters:
        `input1` - input 1
        `input2` - input 2
        `input3` - input 3
        `input4` - input 4
        `output` - output
      Returns:
        instructions as string

    - #### getInstructions

          public String getInstructions(String input1,
                                        String input2,
                                        String input3,
                                        String input4,
                                        String input5,
                                        String output)

      Description copied from class: `Lop`
      Method should be overridden if needed
      Overrides:
        `getInstructions` in class `Lop`
      Parameters:
        `input1` - input 1
        `input2` - input 2
        `input3` - input 3
        `input4` - input 4
        `input5` - input 5
        `output` - output
      Returns:
        instructions as string

    - #### getInstructions

          public String getInstructions(String input1,
                                        String input2,
                                        String input3,
                                        String input4,
                                        String input5,
                                        String input6,
                                        String output)

      Description copied from class: `Lop`
      Method should be overridden if needed
      Overrides:
        `getInstructions` in class `Lop`
      Parameters:
        `input1` - input 1
        `input2` - input 2
        `input3` - input 3
        `input4` - input 4
        `input5` - input 5
        `input6` - input 6
        `output` - output
      Returns:
        instructions as string

    - #### getInstructions

          public String getInstructions(String input1,
                                        String input2,
                                        String input3,
                                        String input4,
                                        String input5,
                                        String input6,
                                        String input7,
                                        String output)

      Overrides:
        `getInstructions` in class `Lop`

    - #### getInstructions

          public String getInstructions(String[] inputs,
                                        String output)

      Overrides:
        `getInstructions` in class `Lop`

    - #### getInstructions

          public String getInstructions(String[] inputs,
                                        String[] outputs)

      Description copied from class: `Lop`
      Method should be overridden if needed
      Overrides:
        `getInstructions` in class `Lop`
      Parameters:
        `inputs` - array of inputs
        `outputs` - array of outputs
      Returns:
        instructions as string

Copyright © 2021 The Apache Software Foundation. All rights reserved.